Bug 446921 - cumin-test exception on 'MainTest/BrokerGroupTest: TypeError' - python 2.4?
cumin-test exception on 'MainTest/BrokerGroupTest: TypeError' - python 2.4?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
beta
All Linux
urgent Severity low
: ---
: ---
Assigned To: Justin Ross
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 12:53 EDT by David Sommerseth
Modified: 2016-05-22 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:06:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sommerseth 2008-05-16 12:53:49 EDT
Description of problem:

cumin-test fails with 'MainTest/BrokerGroupTest: TypeError' exception

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. re-run cumin-test
  
Actual results:

  MainTest/BrokerGroupTest: TypeError
    File "/usr/lib/python2.4/site-packages/cumin/test.py", line 133, in run
      self.do_run(session)
    File "/usr/lib/python2.4/site-packages/cumin/test.py", line 286, in do_run
      p.process(s)
    File "/usr/lib/python2.4/site-packages/wooly/__init__.py", line 204, in process
      self.do_process(session, *args)
    File "/usr/lib/python2.4/site-packages/wooly/widgets.py", line 41, in do_process
      mode.process(session)
    File "/usr/lib/python2.4/site-packages/wooly/__init__.py", line 204, in process
      self.do_process(session, *args)
    File "/usr/lib/python2.4/site-packages/cumin/page.py", line 190, in do_process
      super(MainFrame, self).do_process(session, *args)
    File "/usr/lib/python2.4/site-packages/cumin/widgets.py", line 75, in do_process
      super(CuminFrame, self).do_process(session, *args)
    File "/usr/lib/python2.4/site-packages/wooly/widgets.py", line 41, in do_process
      mode.process(session)
    File "/usr/lib/python2.4/site-packages/wooly/__init__.py", line 204, in process
      self.do_process(session, *args)
    File "/usr/lib/python2.4/site-packages/cumin/widgets.py", line 75, in do_process
      super(CuminFrame, self).do_process(session, *args)
    File "/usr/lib/python2.4/site-packages/wooly/widgets.py", line 41, in do_process
      mode.process(session)
    File "/usr/lib/python2.4/site-packages/wooly/__init__.py", line 204, in process
      self.do_process(session, *args)
    File "/usr/lib/python2.4/site-packages/cumin/widgets.py", line 149, in
do_process
      self.process_submit(session, *args)
    File "/usr/lib/python2.4/site-packages/cumin/brokergroup.py", line 161, in
process_submit
      errors = self.validate(session)
    File "/usr/lib/python2.4/site-packages/wooly/forms.py", line 372, in validate
      errors.extend(field.validate(session))
    File "/usr/lib/python2.4/site-packages/wooly/forms.py", line 257, in validate
      self.do_validate(session, errors)
    File "/usr/lib/python2.4/site-packages/cumin/widgets.py", line 571, in
do_validate
      errors.append(DuplicateValueError())
    File "/usr/lib/python2.4/site-packages/cumin/widgets.py", line 575, in __init__
      super(Error, self).__init__()


Expected results:

No exception

Additional info:

Possible python-2.4 challenge?
Comment 1 Justin Ross 2008-05-28 15:12:26 EDT
Fixed as of revision 2083.
Comment 2 Mike Bonnet 2008-06-19 23:51:34 EDT
cumin-0.1.2155-1.el5, qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and python-qpid-0.2.668378-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.